import { Response } from '../types/Response';
import { Character } from './Character';
export declare class CharacterCreator {
    private spellService;
    private classService;
    private raceService;
    constructor();
    generateRandomizedCharacter(numberOfSpells?: number, numberOfFeatures?: number): Promise<Character>;
    getRandomSpells(classIndex: string, numberOfSpells?: number): Promise<Response>;
    getRandomFeatures(classIndex: string, numberOfFeatures?: number): Promise<Response>;
}
